# gnuplot file

set term postscript enhanced colour solid lw 2
filename='plot.ps'
set output filename

set xlabel 'dijet mass [GeV]'
set ylabel 'events per bin'
#set log y
set grid

set xrange [1000:3000]

set title 'results after basic p_t and jet rapidity cuts'
# Some gnuplot help:
#
# - histograms are separated by two blank lines, and index
#   indicates which histogram to use
#
# - '' means reuse the same file
#
# - we plot each histogram twice: once with "histeps" to get the histogram
#   and then again with "error" to see the errorbars
#
# - the "\" means that the plot command continues on the next line;
#   WATCH OUT: there musn't be anything on the line after the "\"
#
plot   'dijets.hist'  index 0 u 2:4            w histeps lt 1 t 'dijets',\
       ''             index 0 u 2:4:(sqrt($4)) w error   lt 1 t '',\
       'signal.hist'   index 0 u 2:4            w histeps lt 2 t 'signal',\
       ''             index 0 u 2:4:(sqrt($4)) w error   lt 2 t '',\
#pause -1
set title 'results after further cuts'
plot   'dijets.hist'  index 1 u 2:4            w histeps lt 1 t 'dijets',\
       ''             index 1 u 2:4:(sqrt($4)) w error   lt 1 t '',\
       'signal.hist'   index 1 u 2:4            w histeps lt 2 t 'signal',\
       ''             index 1 u 2:4:(sqrt($4)) w error   lt 2 t '',\

       
set output
